Bug 411531 - Review Request: perl-Class-C3-Componentised - Load mix-ins or components to your C3-based class
Review Request: perl-Class-C3-Componentised - Load mix-ins or components to y...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Class-C3-...
:
Depends On:
Blocks: perl-DBIx-Class
  Show dependency treegraph
 
Reported: 2007-12-04 23:47 EST by Chris Weyl
Modified: 2010-09-02 17:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 17:58:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-12-04 23:47:03 EST
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Class-C3-Componentised-1.0001-2.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Class-C3-Componentised.spec

Description:
This will inject base classes to your module using the Class::C3 method
resolution order.

Please note: these are not plugins that can take precedence over methods
declared in MyModule. If you want something like that, consider
MooseX::Object::Pluggable.
Comment 1 Parag AN(पराग) 2007-12-05 06:47:30 EST
perl-Class-C3-Componentised.noarch: W: doc-file-dependency
/usr/share/doc/perl-Class-C3-Componentised-1.0001/t/lib/MyModule.pm perl(base)
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.
Comment 3 Parag AN(पराग) 2007-12-05 22:39:33 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0e006802cff4acc319d00f4082239f9d  Class-C3-Componentised-1.0001.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/*.t
t/00-load.........# Testing Class::C3::Componentised 1.0001, Perl 5.008008,
/usr/bin/perl
ok
t/01-basic........ok
t/pod-coverage....ok
t/pod.............ok
All tests successful.
Files=4, Tests=6,  0 wallclock secs ( 0.25 cusr +  0.06 csys =  0.31 CPU)
+ Package perl-Class-C3-Componentised-1.0001-3.fc9 ->
  Provides: perl(Class::C3::Componentised) = 1.0001
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(Carp) perl(Class::C3)
perl(Class::Inspector) perl(base) perl(strict) perl(warnings)
APPROVED.

Comment 4 Chris Weyl 2007-12-05 23:17:53 EST
New Package CVS Request
=======================
Package Name: perl-Class-C3-Componentised
Short Description: Load mix-ins or components to your C3-based class
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2007-12-06 16:03:47 EST
cvs done.
Comment 6 Chris Weyl 2007-12-06 17:58:38 EST
Imported and building.  Thanks for the review! :)
Comment 7 Iain Arnell 2010-09-02 10:25:06 EDT
Package Change Request
======================
Package Name: perl-Class-C3-Componentised
New Branches: el6
Owners: iarnell tremble
Comment 8 Kevin Fenzi 2010-09-02 17:19:11 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.